{% extends template_base %}
{% load i18n %}
{% load active_tag %}
{% load md2 %}
{% load humanize %}

{% block title %}Detalle de Egreso{% endblock %}

{% block page %}
{%if can_show_detail %}
	<!-- begin breadcrumb -->
	<ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		<li class="breadcrumb-item"><a href="{% url 'general-expense-list' %}">Egresos</a></li>
		<li class="breadcrumb-item active">{{ generalexpense.pk }}</li>
	</ol>
	<!-- end breadcrumb -->

	<!-- begin page-header -->
	<h1 class="page-header">{{ generalexpense.name }}</h1>
	<!-- end page-header -->

	<!-- begin row -->
	<div class="row">
		<!-- begin col-6 -->
		<div class="col-xl-6 ui-sortable">
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-1">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Datos generales</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
					<div class="row mb-3">
						<div class="col-sm-12 col-md-12">
							<a class="btn btn-warning btn-sm pull-right" href="{% url 'general-expense-update' generalexpense.pk %}">Editar</a>
						</div>
					</div>
					<table class="table table-striped">
						<thead>
							<tr>
								<th>Campo</th>
								<th>Valor</th>
							</tr>
						</thead>
						<tbody>
                            <tr>
								<td><strong>Nombre</strong></td><td>{{ object.type.name }}</td>
							</tr>
                            <tr>
								<td><strong>Descripción</strong></td><td>{{ object.description }}</td>
							</tr>
                            <tr>
								<td><strong>Fecha de Emisión</strong></td><td>{{ object.issue_date.date }}</td>
							</tr>
                            <tr>
								<td><strong>Monto</strong></td><td>{{ object.amount}}</td>
							</tr>
                            <tr>
								<td><strong>Moneda</strong></td><td>{{ object.currency.name }}</td>
							</tr>
							<tr>
								<td><strong>Cuenta Bancaria</strong></td><td>{{ object.bank_account }}</td>
							</tr>
							<tr>
								<td><strong>Operador</strong></td><td>{{ object.operator.name }}</td>
							</tr>
						</tbody>
					</table>
				</div>
				<!-- end panel-body -->
			</div>
			<!-- end panel -->
		</div>
		<!-- end col-6 -->
		
	</div>
	</div>
	<!-- end row -->

	<!-- begin scroll to top btn -->
	<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
	<!-- end scroll to top btn -->
	{%else%}
	<div class="alert alert-success"  style="background-color: rgb(245, 156, 26); text-align: center;" role="alert">
		<h4 class="alert-heading">No encontrado</h4>
		<hr>
		<h5 class="mb-0">Cambie de operador o vuelva al listado de egresos.</h5>
	</div>
	{%endif%}
{% endblock %}